package com.oguerreiro.resilient.service.dto;

import java.io.Serializable;
import java.math.BigDecimal;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * A DTO for the {@link com.oguerreiro.resilient.domain.DashboardComponentDetailValue} entity.
 */
@Schema(description = "DashboardComponentDetailValue")
public class DashboardComponentDetailValueDTO implements Serializable {

  private static final long serialVersionUID = 1L;

  private DashboardComponentDetailDTO dashboardComponentDetail;
  private DashboardComponentDTO targetDashboardComponent;
  private OrganizationDTO organization;
  private BigDecimal value;

  public DashboardComponentDetailDTO getDashboardComponentDetail() {
    return this.dashboardComponentDetail;
  }

  public void setDashboardComponentDetail(DashboardComponentDetailDTO dashboardComponentDetail) {
    this.dashboardComponentDetail = dashboardComponentDetail;
  }

  public OrganizationDTO getOrganization() {
    return this.organization;
  }

  public void setOrganization(OrganizationDTO organization) {
    this.organization = organization;
  }

  public BigDecimal getValue() {
    return value;
  }

  public void setValue(BigDecimal value) {
    this.value = value;
  }

  public DashboardComponentDTO getTargetDashboardComponent() {
    return targetDashboardComponent;
  }

  public void setTargetDashboardComponent(DashboardComponentDTO targetDashboardComponent) {
    this.targetDashboardComponent = targetDashboardComponent;
  }

  //@formatter:off
  @Override
  public String toString() {
    return "DashboardComponentViewDetailDTO{" + 
              "organizationId=" + getOrganization().getId() +
              ", value=" + getValue().toString() +
           "}";
  }
//@formatter:on
}
